<?


#############################
# Alle Datenbank-Funktionen #
#############################

class mySQL 
{ 
	var $connected = FALSE; 
	var $host; 
	var $user; 
	var $pswd; 
	var $dbname; 
	var $verbindung; 
	var $sql_query; 
	var $query_counter;
	var $Anzahl;
	var $Fehler;

function mySQL($ID = DB_TEST) 
{ 
	global $mySQL_settings; 
	$this->host       = $mySQL_settings[$ID]['host']; 
	$this->user       = $mySQL_settings[$ID]['user']; 
	$this->pswd       = $mySQL_settings[$ID]['pswd']; 
	$this->dbname     = $mySQL_settings[$ID]['dbname']; 
	$this->verbindung = @mysql_connect($this->host, $this->user, $this->pswd); 
	if ($this->verbindung === FALSE) 
		{ 
		$this->error("CONN.OPEN"); 
		} 
	if (@mysql_select_db($this->dbname, $this->verbindung) === FALSE) 
		{ 
		$this->error("DB.SELECT"); 
		} 
		else 
		{ 
		$this->connected = TRUE; 
		} 
} 

// wenn das Skript nicht mit PHP5 ausgeführt wird, folgende Funktion einfach löschen! 
function __destruct() 
{ 
	if (!$this->connected) 
		{ 
		$this->error("NO CONN"); 
		} 
		elseif (@mysql_close($this->verbindung) === FALSE) 
			{ 
			$this->error("CONN.CLOSE"); 
			} 
} 

function close() 
{ 
	if (!$this->connected) 
		{ 
		$this->error("NO CONN"); 
		} 
	mysql_close($this->verbindung); 
}

function DBQueries() 
{ 
	if (!$this->connected) 
		{ 
		$this->error("NO CONN"); 
		} 
		else 
		{ 
		return $this->query_counter; 
		} 
} 

function DrawDBQueries() 
{ 
	if (!$this->connected) 
		{ 
		$this->error("NO CONN"); 
		} 
		elseif ($this->DBQueries == 1) 
			{ 
			$text = "Es war 1 mySQL-Abfrage nötig"; 
			} 
			else 
			{ 
			$text = "Es waren ".$this->DBQueries." mySQL Abfragen nötig"; 
			} 
	return $text; 
} 

function query($sql) 
{ 
	if (!$this->connected) 
		{ 
		$this->error("NO CONN"); 
		} 
		else 
		{ 
		$this->sql_query = $sql; 
		$this->query_counter++; 
		$result = @mysql_query($this->sql_query, $this->verbindung); 
		if ($result === FALSE) 
			{ 
			$this->error("QUERY FAILED"); 
			} 
			else 
			{ 
			return $result; 
			} 
		} 
} 

function select($sql) 
{ 
	if (!$this->connected) 
		{ 
		$this->error("NO CONN"); 
		} 
		else 
		{ 
		$result = $this->query($sql); 
		if ($result)
			{ 
			$this->Anzahl = @mysql_num_rows($result); 
			while ($Zeile = mysql_fetch_array($result))
				{ 
				$array[] = $Zeile; 
				} 
			} 
		} 
	if (isset($array))
		return $array;
		else
		return 0;
} 

function error($error_type) 
{ 
	switch ($error_type) 
		{ 
		case 'CONN.OPEN': 
			$text = "Beim Öffnen der Verbindung ist ein Fehler aufgetreten"; 
			break; 

		case 'CONN.CLOSE': 
			$text = "Beim Schließen der Verbindung ist ein Fehler aufgetreten"; 
			break; 

		case 'NO CONN': 
			$text = "Die angeforderte Aktion konnte nicht durchgeführt werden, da keine Verbindung zur Datenbank besteht!"; 
			break; 

		case 'DB.SELECT': 
			$text = "Beim Auswählen der Datenbank ist ein Fehle aufgetreten. Ev. ist die Datenbank nicht vorhanden"; 
			break; 

		case 'QUERY FAILED': 
			$text = "Während folgender Abfrage ist ein Fehler aufgetreten:<br><br>".$this->sql_query; 
			break; 

		default: 
			$text = "Es ist folgender, unbekannter Fehler aufgetreten: ".$error_type; 
		} 
	if ($this->connected) 
		{	 
		$text .= "<br><br>mySQL meldet:<br>Fehler-Nummer: ".@mysql_errno($this->verbindung)."<br>Fehler-Beschreibung: ".@mysql_error($this->verbindung); 
		} 
	echo $text."<br>";
	//$this->Fehler = $text;
//	return $text;
} 

} // ENDE Class


function sql_open($SDB=2)
{
	global $db;
	$db = new mySQL($SDB);
//	echo "in db_open";
	//return $db;
}

function sql_close()
{
	global $db;
	$db->close();
}

function sql_select($str_Select, $int_Show = 0)
{
	global $db;
	if ($int_Show == 1) echo "<br>Abfrage = ".$str_Select;
	return $db->select($str_Select);
}

function sql_query($str_Select, $int_Show = 0)
{
	global $db;
	if ($int_Show == 1) echo "<br>Abfrage = ".$str_Select;
	return $db->query($str_Select);
}


?>